%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define gettext_package libgnomecanvas-2.0
%define gtk2_version 2.2.4
%define libart_lgpl_version 2.3.16
%define libglade2_version 2.0.1

Summary: 	GnomeCanvas widget
Name: 		libgnomecanvas
Version: 	2.4.0
Release: 	1
URL: 		http://www.gnome.org/
Source: 	%{name}-%{version}.tar.bz2

Patch0:		libgnomecanvas-2.4.0-aix.patch
Patch1:		libgnomecanvas-2.4.0-autotools.patch

License: 	LGPL
Group: 		System Environment/Libraries 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	gtk2 >= %{gtk2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}

%description
The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: 	Libraries and headers for libgnomecanvas.
Group: 		Development/Libraries
Requires: 	%name = %{version}
Requires: 	gtk2-devel >= %{gtk2_version}
Requires: 	libart_lgpl-devel >= %{libart_lgpl_version}
Requires: 	libglade2-devel >= %{libglade2_version}
#Conflicts: gnome-libs-devel < 1.4.1.2

%description devel

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/libgnomecanvas-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/libgnomecanvas-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix} --disable-gtk-doc
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# make links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)

%doc COPYING ChangeLog NEWS

%{_libdir}/lib*.a
/usr/lib/lib*.a

# avoid the .a file, get .la against better judgment
%dir %{_libdir}/libglade
%dir %{_libdir}/libglade/2.0
%{_libdir}/libglade/2.0/libcanvas.la
%{_libdir}/libglade/2.0/libcanvas.a
%{_datadir}/locale/*/LC_MESSAGES/libgnomecanvas-2.0.mo

%files devel
%defattr(-,root,system)

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
/usr/include/*
%{_datadir}/gtk-doc
